Package: org.codehaus.groovy.control

## [Java] Class Phases

- org.codehaus.groovy.control.Phases

-     public class Phases
      extends Object

  Compilation phase identifiers.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `ALL` | Synonym for full compilation
    `static int` | `CANONICALIZATION` | AST completion
    `static int` | `CLASS_GENERATION` | Bytecode generation
    `static int` | `CONVERSION` | CST to AST conversion
    `static int` | `FINALIZATION` | Cleanup
    `static int` | `INITIALIZATION` | Opening of files and such
    `static int` | `INSTRUCTION_SELECTION` | Prepare for class generation
    `static int` | `OUTPUT` | Output of class to disk
    `static int` | `PARSING` | Lexing, parsing, and AST building
    `static int` | `SEMANTIC_ANALYSIS` | AST semantic analysis and elucidation
    `static String[]` | `descriptions` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `getDescription(int phase)` Returns a description of the specified phase.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final int ALL

      Synonym for full compilation

    - #### public static final int CANONICALIZATION

      AST completion

    - #### public static final int CLASS_GENERATION

      Bytecode generation

    - #### public static final int CONVERSION

      CST to AST conversion

    - #### public static final int FINALIZATION

      Cleanup

    - #### public static final int INITIALIZATION

      Opening of files and such

    - #### public static final int INSTRUCTION_SELECTION

      Prepare for class generation

    - #### public static final int OUTPUT

      Output of class to disk

    - #### public static final int PARSING

      Lexing, parsing, and AST building

    - #### public static final int SEMANTIC_ANALYSIS

      AST semantic analysis and elucidation

    - #### public static final String[] descriptions

  - ### Method Detail

    - #### public static String getDescription(int phase)

      Returns a description of the specified phase.